const axios = require('axios')
const FormData = require('form-data')
const fs = require('fs')

const url = "https://api2.sendcloud.net/api/mail/send"
const API_USER = ''
const API_KEY = ''

// 请求的配置
let config = {
    timeout: 3 * 60 * 1000, // 设置超时时间 3分钟
    headers: {
        'Content-Type': 'multipart/form-data;charset=UTF-8'
    }
}
// 邮件内容模板
let content_tpl = `
    Dear, %name%:

    Hello, your bill money: $ %money%.
`
let x_smtpapi = {
    "to": ["xxx1@qq.com", "xxx2@qq.com"],
    "sub": {
        "%name%": ['xxx1', 'xxx2'],
        "%money%": ['19.9', '9.9'],
    },
}
// 请求的参数
let params = {
    "apiUser": API_USER,
    "apiKey": API_KEY,
    "from": "sendcloud@sendcloud.org",
    "fromName": "SendCloud",
    "subject": "SendCloud Node.js attachment",
    "html": content_tpl,
    "xsmtpapi": JSON.stringify(x_smtpapi)
}
// 创建form-data对象
let formData = new FormData();
Object.keys(params).forEach(key => {
    formData.append(key, params[key])
})
let attachFile = fs.createReadStream('./中文附件测试.txt')
formData.append('attachments', attachFile)

// 发送请求
axios.post(url, formData, config).then((resp) => {
    console.log(resp.data);
}).catch((err) => {
    console.log(err)
})